type __VLS_Props = {
    panelId: string;
    menuMode?: 'dropdown' | 'inline';
};
declare var __VLS_36: {}, __VLS_46: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_36) => any;
} & {
    default?: (props: typeof __VLS_46) => any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {
    menuMode: "dropdown" | "inline";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
